Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200601-03] HylaFAX: Multiple vulnerabilities


Vulnerability Assessment Details

[GLSA-200601-03] HylaFAX: Multiple vulnerabilities

Vulnerability Assessment Summary
HylaFAX: Multiple vulnerabilities

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200601-03
(HylaFAX: Multiple vulnerabilities)


Patrice Fournier discovered that HylaFAX runs the notify script on
untrusted user input. Furthermore, users can log in without a password
when HylaFAX is installed with the pam USE-flag disabled.

Impact

A possible hacker could exploit the input validation vulnerability to
run arbitrary code as the user running HylaFAX, which is usually uucp.
The password vulnerability could be exploited to log in without proper
user credentials.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3538
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3539
http://www.hylafax.org/content/HylaFAX_4.2.4_release


Solution:
All HylaFAX users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=net-misc/hylafax-4.2.3-r1"


Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2006 Michel Arboi

Cables, Connectors

Dell R620 10 Bay 256GB RAM 2 x E5-2643 (8 Cores Total) 4 x 1TB HDD H310 2PS
$2640.0
Dell R620 10 Bay 256GB RAM 2 x E5-2643 (8 Cores Total) 4 x 1TB HDD H310 2PS pictureDELL POWEREDGE R730XD SERVER 12 BAY E5-2630LV3 1.8GHZ 64GB 12 X 500GB SATA H730
$5079.0
DELL POWEREDGE R730XD SERVER 12 BAY E5-2630LV3 1.8GHZ 64GB 12 X 500GB SATA H730 pictureDELL POWEREDGE R730XD SERVER 12 BAY E5-2650V4 2.2GHZ 192GB 4 X 500GB SATA H730
$6019.0
DELL POWEREDGE R730XD SERVER 12 BAY E5-2650V4 2.2GHZ 192GB 4 X 500GB SATA H730 pictureDELL POWEREDGE R730XD SERVER 12 BAY TWO E5-2698V4 2.2GHZ 256GB 2 X 600GB 15K SAS
$12409.0
DELL POWEREDGE R730XD SERVER 12 BAY TWO E5-2698V4 2.2GHZ 256GB 2 X 600GB 15K SAS picture


Discussions

No Discussions have been posted on this vulnerability.